{
  options,
  config,
  lib,
  pkgs,
  inputs,
  ...
}:
let
  cfg = config.modules.desktop.addons.mako;
  inherit (inputs.nix-colors.colorschemes.${builtins.toString config.modules.desktop.colorscheme})
    palette
    ;
in
{
  options.modules.desktop.addons.mako =
    with lib.frajul;
    with lib.types;
    {
      enable = mkBoolOpt false "Enable or disable mako";
    };

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      mako
      libnotify
    ];

    xdg.configFile."mako/config" = {
      text = ''
        background-color=#${palette.base00}
        text-color=#${palette.base05}
        border-color=#${palette.base0D}
        progress-color=over #${palette.base02}

        [urgency=high]
        border-color=#${palette.base09}
      '';
      onChange = ''
        ${pkgs.busybox}/bin/pkill -SIGUSR2 mako
      '';
    };
  };
}
